Page MenuHomePhabricator

Allow partners to override charge-warning
Closed, ResolvedPublic

Description

Charge-warning message must allow per-partner customization in the same means that partner banners work now.
Default translations exist in translateWiki with the ability to override translateWiki within configuration.

Exit interstitial must support one or more hyperlinks in addition to continue / go back buttons.
Interstitial must also continue to support non-Javascript and Javascript versions.

Specific links and wordings TBD.

Existing exit interstitial must work as is for partners with no customization settings in their config JSON.

Event Timeline

DFoy created this task.May 12 2015, 8:55 PM
DFoy assigned this task to jhobs.
DFoy raised the priority of this task from to High.
DFoy updated the task description. (Show Details)
DFoy added a project: Zero.
DFoy added subscribers: DFoy, Yurik.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 12 2015, 8:55 PM
DFoy moved this task from Backlog to Current items to do on the Zero board.May 12 2015, 8:56 PM

Follow-up action from discussion with Dan & Adam: We need to have a discussion around implementation of this. @Yurik would probably have more insight than me on how to implement this since right now we use translatewiki strings and this would require some kind of either new back-end endpoint or modification of the banner injection to include exit warning data for later use.

DFoy reassigned this task from jhobs to Yurik.May 20 2015, 6:19 PM
DFoy set Security to None.
DFoy edited subscribers, added: jhobs; removed: Yurik.
DFoy renamed this task from Per-partner customization of zero exit warning to Per-partner customization of zero possible charge warning.May 20 2015, 6:55 PM
Yurik renamed this task from Per-partner customization of zero possible charge warning to Allow partners to override charge-warning.May 20 2015, 8:49 PM
Yurik updated the task description. (Show Details)
DFoy lowered the priority of this task from High to Normal.May 29 2015, 8:53 PM
DFoy raised the priority of this task from Normal to High.Jun 18 2015, 5:50 PM
Yurik added a comment.Aug 5 2015, 7:46 PM

There are two warning strings - for pages and for files (images). The image text shows "Images for {{SITENAME}} are not offered for free by your mobile carrier. Standard data charges may apply.", where as the page warning is "You are about to leave Zero-rated (free) {{SITENAME}}. Standard data charges may apply."

I will only do this for the page warnings for now, but it could be easily expanded later

Change 229577 had a related patch set uploaded (by Yurik):
Implemented per-partner exit warnings

https://gerrit.wikimedia.org/r/229577

Change 229577 merged by jenkins-bot:
Implemented per-partner exit warnings

https://gerrit.wikimedia.org/r/229577

jhobs closed this task as Resolved.Sep 28 2015, 4:39 PM